<script setup lang="ts">
import { RouterLink, RouterView } from 'vue-router';
import { ref } from 'vue';
import data from './assets/data.json'

const destinations = ref(data.destinations);
</script>

<template>
  <ul>
    <RouterLink to="/" class="links home">Home</RouterLink>
    <RouterLink v-for="destination in destinations" :to="'/destination/' + destination.id + '/' + destination.slug" class="links">{{ destination.name }}</RouterLink>
    <RouterLink to="/about" class="links">About</RouterLink>
  </ul>
  <RouterView></RouterView>
</template>

<style scoped>
ul {
  color: rgb(255, 255, 255);
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: rgb(15, 15, 40);
  padding: 10px;
}

.links {
  margin-right: 50px;
  color: white;
  font-weight: bolder;
  text-decoration: none;
}

.links:hover {
  text-decoration: underline;
}

.home {
  margin-left: 20px;
  font-size: 30px;
}
</style>
